searchNodes=[{"doc":"Zonex is a library for compiling enriched time zone information.","ref":"Zonex.html","title":"Zonex","type":"module"},{"doc":"Gets a zone for a given IANA time zone name and raises if not found. If the time zone is an alias (not canonical), the canonical zone will be returned instead. Since names and UTC offsets vary depending on time of year (due to daylight saving time), you need to specify the instant at which the time zone should be expressed. Options :locale is any locale or locale name validated by Cldr.validate_locale/2 . The default is Cldr.get_locale() which returns the locale set for the current process","ref":"Zonex.html#get_canonical!/3","title":"Zonex.get_canonical!/3","type":"function"},{"doc":"Gets a zone for a given IANA time zone name. If the time zone is an alias (not canonical), the canonical zone will be returned instead. Since names and UTC offsets vary depending on time of year (due to daylight saving time), you need to specify the instant at which the time zone should be expressed. Options :locale is any locale or locale name validated by Cldr.validate_locale/2 . The default is Cldr.get_locale() which returns the locale set for the current process","ref":"Zonex.html#get_canonical/3","title":"Zonex.get_canonical/3","type":"function"},{"doc":"Determines if a zone name is legacy. iex&gt; Zonex . legacy? ( &quot;America/Chicago&quot; ) false iex&gt; Zonex . legacy? ( &quot;WET&quot; ) true","ref":"Zonex.html#legacy?/1","title":"Zonex.legacy?/1","type":"function"},{"doc":"Lists all canonical time zones from the IANA database. Since names and UTC offsets vary depending on time of year (due to daylight saving time), you need to specify the instant at which the time zone should be expressed. Options :locale is any locale or locale name validated by Cldr.validate_locale/2 . The default is Cldr.get_locale() which returns the locale set for the current process","ref":"Zonex.html#list_canonical/2","title":"Zonex.list_canonical/2","type":"function"},{"doc":"Helpers for time zone aliases.","ref":"Zonex.Aliases.html","title":"Zonex.Aliases","type":"module"},{"doc":"A mapping of canonical zone names to aliases. This is the reverse of Tzdata.links/0 .","ref":"Zonex.Aliases.html#forward_mapping/0","title":"Zonex.Aliases.forward_mapping/0","type":"function"},{"doc":"Meta zone data.","ref":"Zonex.MetaZones.html","title":"Zonex.MetaZones","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"Zonex.MetaZones.html#child_spec/1","title":"Zonex.MetaZones.child_spec/1","type":"function"},{"doc":"Resolves the correct meta zone name at a particular instant.","ref":"Zonex.MetaZones.html#resolve/2","title":"Zonex.MetaZones.resolve/2","type":"function"},{"doc":"Lists the rules for a given time zone.","ref":"Zonex.MetaZones.html#rules_for_zone/1","title":"Zonex.MetaZones.rules_for_zone/1","type":"function"},{"doc":"Starts the process.","ref":"Zonex.MetaZones.html#start_link/1","title":"Zonex.MetaZones.start_link/1","type":"function"},{"doc":"Gets the territories for a time zone (and its current meta zone).","ref":"Zonex.MetaZones.html#territories/2","title":"Zonex.MetaZones.territories/2","type":"function"},{"doc":"","ref":"Zonex.MetaZones.html#t:meta_zone_name/0","title":"Zonex.MetaZones.meta_zone_name/0","type":"type"},{"doc":"","ref":"Zonex.MetaZones.html#t:territory/0","title":"Zonex.MetaZones.territory/0","type":"type"},{"doc":"Meta zone properties.","ref":"Zonex.MetaZones.MetaZone.html","title":"Zonex.MetaZones.MetaZone","type":"module"},{"doc":"","ref":"Zonex.MetaZones.MetaZone.html#t:t/0","title":"Zonex.MetaZones.MetaZone.t/0","type":"type"},{"doc":"Meta zone name variants.","ref":"Zonex.MetaZones.MetaZone.Variants.html","title":"Zonex.MetaZones.MetaZone.Variants","type":"module"},{"doc":"","ref":"Zonex.MetaZones.MetaZone.Variants.html#t:t/0","title":"Zonex.MetaZones.MetaZone.Variants.t/0","type":"type"},{"doc":"A meta zone rule.","ref":"Zonex.MetaZones.Rule.html","title":"Zonex.MetaZones.Rule","type":"module"},{"doc":"","ref":"Zonex.MetaZones.Rule.html#t:t/0","title":"Zonex.MetaZones.Rule.t/0","type":"type"},{"doc":"Windows zone data.","ref":"Zonex.WindowsZones.html","title":"Zonex.WindowsZones","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"Zonex.WindowsZones.html#child_spec/1","title":"Zonex.WindowsZones.child_spec/1","type":"function"},{"doc":"A mapping of &quot;standard&quot; time zone names from the windows zones file to &quot;common&quot; names (e.g. Central Standard Time -&gt; Central Time (US &amp; Canada)).","ref":"Zonex.WindowsZones.html#common_names/0","title":"Zonex.WindowsZones.common_names/0","type":"function"},{"doc":"A mapping of Olson time zone names to &quot;standard&quot; names from the windows zones file. (e.g. America/Chicago -&gt; Central Standard Time).","ref":"Zonex.WindowsZones.html#standard_name/1","title":"Zonex.WindowsZones.standard_name/1","type":"function"},{"doc":"Starts the process.","ref":"Zonex.WindowsZones.html#start_link/1","title":"Zonex.WindowsZones.start_link/1","type":"function"},{"doc":"","ref":"Zonex.WindowsZones.html#t:common_name/0","title":"Zonex.WindowsZones.common_name/0","type":"type"},{"doc":"","ref":"Zonex.WindowsZones.html#t:standard_name/0","title":"Zonex.WindowsZones.standard_name/0","type":"type"},{"doc":"Windows zone properties.","ref":"Zonex.WindowsZones.WindowsZone.html","title":"Zonex.WindowsZones.WindowsZone","type":"module"},{"doc":"","ref":"Zonex.WindowsZones.WindowsZone.html#t:t/0","title":"Zonex.WindowsZones.WindowsZone.t/0","type":"type"},{"doc":"An aggregated time zone.","ref":"Zonex.Zone.html","title":"Zonex.Zone","type":"module"},{"doc":"","ref":"Zonex.Zone.html#t:t/0","title":"Zonex.Zone.t/0","type":"type"},{"doc":"An Elixir library for compiling enriched time zone information.","ref":"readme.html","title":"Zonex","type":"extras"},{"doc":"Add zonex to your list of dependencies in mix.exs . You will also need to install and configure the ex_cldr library with the ex_cldr_time_zone_names plugin, since Zonex requires a CLDR backend for compiling time zone names. def deps do [ { :zonex , &quot;~&gt; 0.6.0&quot; } , # Additional required dependencies { :ex_cldr , &quot;~&gt; 2.33&quot; } , { :ex_cldr_time_zone_names , &quot;~&gt; 0.1&quot; } , # ... ] end In your application, configure your CLDR backend module: defmodule MyApp.Cldr do use Cldr , providers : [ Cldr.TimeZoneNames , # ... ] , # ... end Then, let Zonex know what CLDR backend module to use in your application config: # config/config.exs config :zonex , cldr_backend : MyApp.Cldr","ref":"readme.html#installation","title":"Zonex - Installation","type":"extras"},{"doc":"","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"Map the UTC time zone identifier to Etc/UTC Include the name of the unrecognized time zone in error thrown when calling Zonex.get_canonical!/3","ref":"changelog.html#0-6-0","title":"Changelog - 0.6.0","type":"extras"},{"doc":"Update windowsZones.xml file to include 2022g changes","ref":"changelog.html#0-5-0","title":"Changelog - 0.5.0","type":"extras"},{"doc":"Fix metazone territories list to only include territories for the time zone's current metazone membership","ref":"changelog.html#0-4-0","title":"Changelog - 0.4.0","type":"extras"},{"doc":"Rename Zonex.list/2 to Zonex.list_canonical/2 Rename Zonex.get/3 to Zonex.get_canonical/3 Rename Zonex.get!/3 to Zonex.get_canonical!/3 Rename Zone standard property to golden","ref":"changelog.html#0-3-0","title":"Changelog - 0.3.0","type":"extras"},{"doc":"Add GitHub source URL in mix project config","ref":"changelog.html#0-2-0","title":"Changelog - 0.2.0","type":"extras"},{"doc":"Initial release","ref":"changelog.html#0-1-0","title":"Changelog - 0.1.0","type":"extras"},{"doc":"MIT License Copyright (c) 2022-present SavvyCal, Inc. Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html","title":"License","type":"extras"}]